/**
 * Setup.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "Setup.h"
#include "../ui/ui_Setup.h"
#include "config.h"
#include "bmsapp.h"



Setup::Setup(QWidget *parent) : QDialog(parent), ui(new Ui::Setup)
{
    qDebug() << "Setup start";

    ui->setupUi(this);

    setWindowTitle( QString("BMSapp - %1 - Setup").arg(VERSIONSTRING) );
}


Setup::~Setup()
{
    qDebug() << "Setup done";
    delete ui;
}


void Setup::on_quitButton_clicked()
{
    emit firstWindow();
}

